classList2Graph {RBioinf} | R Documentation

## Functions to produce graphs from S4 class definitions

### Description

Given either a list of classes, or a single class, these functions produce a graph, with the classes as nodes and edges representing subclass/superclass relationships.

### Usage

    classList2Graph(class, fullNames=TRUE)
    class2Graph(class, fullNames=TRUE)

### Arguments

`class` | Either the name of a single class, `class2Graph`, or the names of classes, `classList2Graph`
`fullNames` | Indicates whether to use fully qualified (by package) names for the class.

### Details

Edges are directed, and go from superclasses to subclasses (more specialized to less specialized).

### Value

A graph, typically an instance of the `graphNEL` class.

### Author(s)

R. Gentleman

### Examples

     graphClasses = getClasses("package:graph")
     classList2Graph(graphClasses)

[Package RBioinf version 1.4.0 Index]